/*
 * Copyright (C) 2008 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package com.android.ide.eclipse.adt.internal.editors.uimodel;

/**
 * This interface decoration indicates that a given UiAttributeNode can both
 * set and get its current value.
 */
public interface IUiSettableAttributeNode {

    /** Returns the current value of the node. */
    public String getCurrentValue();
    
    /** Sets the current value of the node. Cannot be null (use an empty string). */
    public void setCurrentValue(String value);

}
